import { ref } from 'vue';

function useCounter(initialValue = 0) {
    const count = ref(initialValue);
    const increment = () => count.value++;
    const decrement = () => count.value--;
    const reset = () => (count.value = initialValue);
    return {
        count,
        increment,
        decrement,
        reset,
    };
}

export { useCounter };
